The dream of a red-stripe-less ANT

It's been a long time since I last hoped that my common buildfile could really benefit from IDEA ant features, and a long time since I lost hope that the editor stopped showing false positives. It seems that as time goes by some of the issues get fixed, and others arise. I attach to this post a number of screenshots testifying the reasons of my despair.



Attachment(s):
capitalize_undefined.png
definition_of_capitalize.png
property_not_allowed.png
sshexec_undefined.png
target_unknown.png
9 comments

Oh how I feel your pain. Now I'm on Selena, with IDEADEV-13346 fixed it's much better (previously the whole file was a bloodbath), but I still have maybe 30 incorrectly-reported errors in my build file. I've just grown accustomed to errors all over my file since halfway through the Demetra EAP.

Cheers,
Colin

0

+10

"Colin Fleming" <no_reply@jetbrains.com> wrote in message
news:8017483.1176987392913.JavaMail.itn@is.intellij.net...

Oh how I feel your pain. Now I'm on Selena, with IDEADEV-13346 fixed it's
much better (previously the whole file was a bloodbath), but I still have
maybe 30 incorrectly-reported errors in my build file. I've just grown
accustomed to errors all over my file since halfway through the Demetra
EAP.

>

Cheers,
Colin



0

Hi Davide,
Did you try Selena's latest EAP builds?
Some of the issues were fixed there, some fixes will be available in the coming build.
As of scriptdef support, it is planned.

--
Best regards,
Eugene Zhuravlev
Software Developer
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"

"Davide Baroncelli" <baroncelli@yahoo.com> wrote in message news:21016784.1176986543976.JavaMail.itn@is.intellij.net...

..



0

Selena is supporting Ant 1.7 yes?

0

Selena is supporting Ant 1.7 yes?


Well, Ant 1.7 is bundled with Selena and IDEA uses it as a default ant installation for ant items introspection. What in partuicular
would you like to be "supported"?

--
Best regards,
Eugene Zhuravlev
Software Developer
JetBrains Inc.
http://www.jetbrains.com
"Develop with pleasure!"


0

This is definitely something that should be fixed in v6 point releases. To have something as basic as Ant file editing support totally broken is something that you might expect in a beta, not in a released product. I'm amazed by how little priority seems to be given to fixing something so fundamental. I'm on Selena now, but I'm lucky in that I have a fair amount of flexibility in my work, not everyone can afford to roll the dice with an EAP. They paid for Ant support, it should work in v6, which is the current GA build. If I was coming to IntelliJ as a new user, these Ant problems would create an extremely bad impression.

0

I tried today... unfortunately all of the problems seem to be still occurring in 6913. I'll wait for the next builds.

0

Please sign in to leave a comment.